Subject: Re: Retroactively change email signature?

From: Jakub Narebski <[email-masked]>
Date: Wed, 02 Jan 2008 13:17:00 -0800 (PST)

"Stephen Sinclair" <[email-masked]> writes:

> I imagine that changing old commits is considered one of the great
> evils of source control, but I have a small problem:
> I have a habit of testing my code on several different computers and
> operating systems.  Sometimes when setting up a new computer for
> testing (and thus, for development, since testing always results in a
> few commits), I have forgotten to use git-config to configure my name
> and email address.
> 
> Since git doesn't warn when I've forgotten to do this, my git-log is
> now sprinkled with various email addresses, some which are just my
> username@hostname.  This is completely useless to people who might
> view my public repository.

This most certainly should get addressed IMHO.
 
> Is it possible to retroactively change the author and email of several
> commits?  Perhaps some sort of search-and-replace for the commit
> metadata?  Even for older commits, I'd like to change the email
> addresses to my current address.
> 
> If it's not possible it's not the end of the world, but I thought it
> wouldn't hurt to ask.

You can use git-filter-branch(1), but please remember that it is
practically rewriting whole repository, so you should do this _before_
you publish any changes.

-- 
Jakub Narebski
Poland
ShadeHawk on #git